Can I Run RWBY: Grimm Eclipse?

Published on January 08, 2020

Here are the RWBY: Grimm Eclipse System Requirements (Minimum)

  • CPU: Intel Core i5-2500K (4 * 3300) or equivalent, AMD FX-8320 (8 * 3500) or equivalent
  • PROCESSOR SPEED:
  • MEMORY (RAM): 4 GB
  • OPERATING SYSTEM: Windows 7/8/8.1/10 x64
  • GRAPHICS CARD: GeForce GTX 460 (1024 MB) or equivalent, Radeon HD 5570 (1024 MB)
  • PIXEL SHADER: 5.0
  • VERTEX SHADER: 5.0
  • SOUND CARD: DirectX 9.0c (or higher)
  • DISK STORAGE NEEDED: 4 GB
  • DEDICATED RAM (VIDEO): 1024 MB

RWBY: Grimm Eclipse Recommended Requirements

  • CPU: Intel Core i5-4670K (4 * 3400) or equivalent, AMD Athlon X4 860K (4*3700) or equivalent
  • PROCESSOR SPEED:
  • MEMORY (RAM): 4 GB
  • OPERATING SYSTEM: Windows 7/8/8.1/10 x64
  • GRAPHICS CARD: GeForce GTX 760 (2048 MB) or equivalent, Radeon R9 270X (2048 MB)
  • PIXEL SHADER: 5.0
  • VERTEX SHADER: 5.0
  • SOUND CARD: DirectX 9.0c (or higher)
  • DISK STORAGE NEEDED: 4 GB
  • DEDICATED RAM (VIDEO): 2048 MB